> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Documents

> Resolves which document templates apply to a worker's onboarding and their signing status.

Required scope: `people:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-onboarding-documents
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-onboarding-documents:
    get:
      operationId: getOnboardingDocuments
      summary: Get Onboarding Documents
      x-toku-required-scope: people:read
      description: >-
        Resolves which document templates apply to a worker's onboarding and
        their signing status.


        Required scope: `people:read`
      parameters:
        - name: roleInOrgId
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: usStateCodeOverride
          in: query
          required: false
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
          schema:
            type: string
            pattern: ^[A-Za-z]{2}$
            description: >-
              NOTE(ck): a .transform() rule is not mirrored here; TGA still
              enforces it
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnboardingDocumentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOnboardingDocumentsResponse:
      type: array
      items:
        type: object
        properties:
          templateId:
            type: string
          templateName:
            type: string
          category:
            type: string
          countryCode:
            type:
              - string
              - 'null'
          isRequired:
            type: boolean
          signingStatus:
            type: string
            enum:
              - NOT_STARTED
              - IN_PROGRESS
              - COMPLETED
          pendingCountersignature:
            type: boolean
          finalizing:
            type: boolean
          envelopeId:
            type:
              - string
              - 'null'
          employeeCompletedAt:
            type:
              - string
              - 'null'
          countersignerCompletedAt:
            type:
              - string
              - 'null'
          templateVersionId:
            type: string
          scopeId:
            type: string
          templateInstanceId:
            type:
              - string
              - 'null'
          templateKey:
            type: string
          versionNumber:
            type: number
          sourceType:
            type: string
            enum:
              - GOOGLE_DOC
              - DOCUSIGN_TEMPLATE
          signingProfileKey:
            type: string
            enum:
              - EMPLOYEE_ONLY
              - EMPLOYEE_AND_COUNTERSIGNER
              - COUNTERSIGNER_ONLY
              - NO_SIGNATURE
              - CLIENT_AND_COUNTERSIGNERS
          satisfiedOutsideToku:
            type: boolean
          cancelledByAdmin:
            type: boolean
          openCopyElsewhere:
            type: boolean
        required:
          - templateId
          - templateName
          - category
          - countryCode
          - isRequired
          - signingStatus
          - pendingCountersignature
          - finalizing
          - envelopeId
          - employeeCompletedAt
          - countersignerCompletedAt
          - signingProfileKey
          - satisfiedOutsideToku
          - cancelledByAdmin
          - openCopyElsewhere
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
